summaryrefslogtreecommitdiffstats
path: root/encap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'encap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh')
-rwxr-xr-xencap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/encap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh b/encap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh
new file mode 100755
index 000000000..6b3fe4a98
--- /dev/null
+++ b/encap/tools/bcfg2-client/bcfg2-libstdc++-0.1.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# $Id$
+
+# Creates encap of libstdc++ libraries from build machine so other machines
+# don't need to have g++ installed, or in the case of GNU/Linux so we're
+# using a consistant libstdc++ version everywhere.
+
+ENCAP_SOURCE=${ENCAPDIR}
+ENCAP_PKGNAME=bcfg2-libstdc++-0.1
+PATH=$PATH:/usr/local/bin
+export PATH
+
+if [ "${ENCAP_SOURCE}x" = "x" ]; then
+ printf "Error in ${ENCAP_PKGNAME}.sh : ENCAPDIR not set, exiting...\n"
+ exit 1
+fi
+
+umask 022
+
+CXXBASE=`which g++ | xargs dirname | xargs dirname`
+for LIB in `cd ${CXXBASE} && find lib | grep libstdc++`; do
+ cd ${CXXBASE}
+ LIBDIR=`dirname ${LIB}`
+ NEWDIR=${ENCAP_SOURCE}/${ENCAP_PKGNAME}/lib/bcfg2/${LIBDIR}
+ if [ ! -d ${NEWDIR} ]; then mkdir -p ${NEWDIR}; fi
+ cp -p ${LIB} ${NEWDIR}
+done
+
+SDIR=${ENCAP_SOURCE}/${ENCAP_PKGNAME}/var/encap
+mkdir -p ${SDIR}
+touch ${SDIR}/${ENCAP_PKGNAME}
+
+exit 0
+